Generate JSON schema from a document type
curl --request GET \
--url https://{region}.affinda.com/v3/document_types/{identifier}/json_schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/document_types/{identifier}/json_schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/document_types/{identifier}/json_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Document Types
Generate JSON schema from a document type
Generate JSON schema from a document type.
GET
/
v3
/
document_types
/
{identifier}
/
json_schema
Generate JSON schema from a document type
curl --request GET \
--url https://{region}.affinda.com/v3/document_types/{identifier}/json_schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://{region}.affinda.com/v3/document_types/{identifier}/json_schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{region}.affinda.com/v3/document_types/{identifier}/json_schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}{
"type": "validation_error",
"errors": [
{
"attr": "non_field_errors",
"code": "unique",
"detail": "This index name has already been used"
}
]
}Authorizations
Basic authentication using an API key, e.g. {Authorization: Bearer aff_0bb4fbdf97b7e4111ff6c0015471094155f91}.
You can find your API key within the Settings page of the Affinda web app. You can obtain an API key by signing up for a free trial.
Path Parameters
Document type's identifier Uniquely identify a document type.
Example:
"mEFayXdO"
Query Parameters
Title for the JSON schema
Response
JSON schema for the document type.
The response is of type object.
Was this page helpful?
⌘I